GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
hpack_table.h File Reference
`#include "src/core/transport/metadata.h"`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_hptbl
struct | grpc_chttp2_hptbl_find_result

## Macros
#define | GRPC_CHTTP2_LAST_STATIC_ENTRY 61
#define | GRPC_CHTTP2_INITIAL_HPACK_TABLE_SIZE 4096
#define | GRPC_CHTTP2_MAX_HPACK_TABLE_SIZE GRPC_CHTTP2_INITIAL_HPACK_TABLE_SIZE
#define | GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD 32
#define | GRPC_CHTTP2_MAX_TABLE_COUNT

## Functions
void | grpc_chttp2_hptbl_init (grpc_chttp2_hptbl *tbl, grpc_mdctx *mdctx)
void | grpc_chttp2_hptbl_destroy (grpc_chttp2_hptbl *tbl)
grpc_mdelem * | grpc_chttp2_hptbl_lookup (const grpc_chttp2_hptbl *tbl, gpr_uint32 index)
void | grpc_chttp2_hptbl_add (grpc_chttp2_hptbl *tbl, grpc_mdelem *md)
grpc_chttp2_hptbl_find_result | grpc_chttp2_hptbl_find (const grpc_chttp2_hptbl *tbl, grpc_mdelem *md)

## Macro Definition Documentation

#define GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD 32

#define GRPC_CHTTP2_INITIAL_HPACK_TABLE_SIZE 4096

#define GRPC_CHTTP2_LAST_STATIC_ENTRY 61

#define GRPC_CHTTP2_MAX_HPACK_TABLE_SIZE GRPC_CHTTP2_INITIAL_HPACK_TABLE_SIZE

#define GRPC_CHTTP2_MAX_TABLE_COUNT

Value:
((GRPC_CHTTP2_MAX_HPACK_TABLE_SIZE + GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD - 1) / \
GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD)
GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD
#define GRPC_CHTTP2_HPACK_ENTRY_OVERHEAD
Definition: hpack_table.h:51
GRPC_CHTTP2_MAX_HPACK_TABLE_SIZE
#define GRPC_CHTTP2_MAX_HPACK_TABLE_SIZE
Definition: hpack_table.h:49

## Function Documentation

void grpc_chttp2_hptbl_add | ( | grpc_chttp2_hptbl * | tbl,
|  | grpc_mdelem * | md
| ) |  |

void grpc_chttp2_hptbl_destroy | ( | grpc_chttp2_hptbl * | tbl | ) |

grpc_chttp2_hptbl_find_result grpc_chttp2_hptbl_find | ( | const grpc_chttp2_hptbl * | tbl,
|  | grpc_mdelem * | md
| ) |  |

void grpc_chttp2_hptbl_init | ( | grpc_chttp2_hptbl * | tbl,
|  | grpc_mdctx * | mdctx
| ) |  |

grpc_mdelem* grpc_chttp2_hptbl_lookup | ( | const grpc_chttp2_hptbl * | tbl,
|  | gpr_uint32 | index
| ) |  |